// $variant: 'dark';
$variant: 'light';

@import '../_colors.scss';
@import '../_drawing.scss';
@import '../_common.scss';


.calendarIndicator {
	display: inline-block;
	font-size: 10px;
	transform:translateY(-2px);
	margin-right: 4px;
	&.blue {color: lighten(desaturate(blue, 10%), 20%);}
	&.red {color: lighten(desaturate(red, 10%), 10%);}
	&.green {color: lighten(desaturate(green, 10%), 10%);}
	&.orange {color: lighten(desaturate(orange, 10%), 10%);}
	&.purple {color: desaturate(purple, 10%);}
	&.yellow {color: desaturate(yellow, 10%);}
	&.none {color: transparent;}

	&.tiny {
		margin:0;
		font-size: 5px;
		height: 5px;
		top: -16px;
		display: inline-block;
		position: relative;
	}
}

.done-label {
	*:not(.calendarIndicator){
		text-decoration: line-through;
	}
}

// messy overrides for calendar

.content {
	display: grid;
	grid-template-columns: fit-content(270px) 1fr;
	grid-gap: 0;
	background-color:$base_color;
}

// headerbars
#calendarHeaderbar {
	.button-group.float-center {
		margin-top: -46px;
	}
	.button-group.float-right {
		margin-top: -46px;
	}

	// messy hardcoding of title
	&:after {
		transform: translateY(-46px);
	}
}

#calendarHeaderbarMobile {

	.button-group.float-left {
		width: calc(40% - 6px) !important;
		// padding:0;
	}

	// messy hardcoding of title
	&:after {
		max-width: 60%;
	}
}


// calendarMonthNav
#calendarMonthNav {
	height: calc(36px - 24px);
	display: block;
	display: block;
	padding: 12px;
	width: calc(100% - 24px);
	* {
		vertical-align: middle;
	}
}

// calendarSidebar
#calendarSidebar {
	height: 100%;
	overflow: hidden !important; 
}

// calendarMini
.calendarMini {
	display: block;
	padding: 0;
	width: calc(100%);
}

ul.weekdays {
	padding: 0;
	margin: 0;
	list-style-type: none;
	padding: 6px 0;
	box-sizing: border-box;
	background-color: $base_color;
	margin-bottom: 12px;
	text-transform: uppercase;
	li {
		box-sizing: border-box;
		display: inline-block;
		width: calc(100% /7 ) !important; 
		color: #666;
		text-align: center;
	}
}


$calendar_minicalendar_day_size: 36px;

ul.days {
	padding: 0;
	margin: 0;
	list-style-type: none;
	li {
		margin: 0 1%;
		display: inline-block;
		width: calc((100% /7 ) - 2%) !important;
		text-align: center;
		font-size:14px;
		color: $fg_color;
		max-height: $calendar_minicalendar_day_size;
		// background-color: red; //debug
		margin-top: -12px;
		span {
			text-align: center;
			border-radius: 50%;
			display: block;
			margin: 0 auto;
			height: $calendar_minicalendar_day_size;
			padding: 0;
			max-width: $calendar_minicalendar_day_size;
			line-height: $calendar_minicalendar_day_size;
			// background: $bg_color;
		}
		&:hover {
			> span {
				background-color: $bg_color;
			}
		}
		&.active > span {
			background: $selected_bg_color;
			color: $selected_fg_color !important
		}
	}
}


#calendarMiniMonth {
	// calendarMiniMonthNav
	#calendarMiniMonthNav {
		// background-color: red; //debug
		display: block;
		span {
			line-height: 46px;
			vertical-align: middle;
		}
	}
}

#calendarMiniWeek {
	min-height: 64px;
	text-align: center;

	// calendarMiniWeekNav
	#calendarMiniWeekNav {
		// background-color: red; //debug
		display: block;
		span {
			line-height: 46px;
			vertical-align: middle;
		}
	}
}

// calendarEvents
ul#calendarEvents{
	border-top: 1px solid lighten($borders_color, 10%);
	min-width: 270px;
	list-style: none;
	padding:0;
	margin: 0;
	display: block;
	// height: calc(100% - 36px - 180px);
	max-height: calc(100%);

	// scroll
	overflow: auto;
	overflow-y: scroll;
	overflow-x: hidden;

	scrollbar-width: none;

	small {
		display:inline-block;
		background: $base_color;
		color: $selected_bg_color;
		max-width:56px;
		margin:0;
		margin-left: 8px;
		padding: 0 4px;
		border-radius:2px;
		transform: translateY(-6px);
	}

	hr {
		margin:0;
		margin-top: -18px;
		padding:0;
		border:none;
		border-top:1px solid $selected_bg_color;
		border-bottom: 1px solid $selected_bg_color;
	}
	li {
		padding: 12px;
		&.calendarDateHeading {
			border-top: 1px solid lighten($borders_color, 10%);
			padding: 6px;
		}
		&:hover {
			background-color:$bg_color;
		}
		label {
			display: block;
			width: 100%;
			&.calendarTimeRange {
				margin-top: 6px;
			}
		}
	}
}


@media only screen and (max-width:600px) {
	ul#calendarEvents{
		max-height: calc(100% - 48px);
	}
}

.calendarMonthLabel,
.calendarYearLabel,
.calendarWeekLabel {
	font-size:15pt;
}

.calendarYearLabel {
	margin-right: 12px
}

// Month View
#calendarMonthView {
	.toolbar {
		// background-color: $base_color;
		// border:none;
		line-height: 46px;
		.linked {
			margin-right: 12px;
		}
		width: calc(100% - 24px);
	}
}

// Week View
#calendarWeekView {
	.toolbar {
		// background-color: $base_color;
		// border:none;
		line-height: 46px;
		.linked {
			margin-right: 12px;
		}
		width: calc(100% - 24px);
		.calendarMonthLabel {
			margin-right: 6px;
		}
	}
}

$calendar_weekview_row_height: 32px;

h2,h3 {
	margin: 0 12px;
	vertical-align: bottom;
	height: 48px;
	line-height: 48px;
	font-size: 20px;
}

// over complicated maybe
#calendarWeekView table {
	background-color: $base_color;
	width: calc(100% - 1px);
	height: 100%;
	padding:0;
	text-align: left;

	tbody {
		display: block;
		margin:0;
		padding:0;
		margin-top:-3px;
		margin-left:-2px;
		tr {
			margin:0;
			min-height: $calendar_weekview_row_height;
			// line-height: $calendar_weekview_row_height;
			width: 100%;
			display: inline-block;
			&:nth-child(even) {border-top: 1px solid $borders_color;}
			&:nth-child(odd) {border-top: 1px dashed $borders_color;}
			&:nth-child(1) {border: none;}
		}
		th,
		td {
			font-size: $font_size !important;
			font-weight: normal;
			margin:0;
			padding: 6px;
			display: inline-block;
			height: $calendar_weekview_row_height;
			border-left: 1px solid $borders_color;
			width: calc((100% - 160px) / 7);
			&:nth-child(1) { border:none;width: 48px; };
			transition: all 100ms ease-in-out;

		}

		th {
			color:desaturate(lighten($fg_color, 30%), 20%);
			vertical-align: bottom;
			text-transform: uppercase;
			height: $calendar_weekview_row_height + 12px;
			font-family:"cantarell_bold", sans-serif;
			// border-left: 1px solid $base_color;
			background-image: linear-gradient(to top, $base_color 0%, darken($base_color, 5%) 100%) !important;
			font-size: 90% !important;
			line-height:1.25;
			span {
				color:desaturate(lighten($fg_color, 20%), 20%);
				display: block;
				line-height:1.25;
				font-size: 24px;
			}
			&.today {

				color:$selected_bg_color;
				span{color:$selected_bg_color;}
			}
		}
	}
}


@media only screen and (max-width:900px) {

	#calendarWeekView {
		.toolbar {
			width: calc(100% - 12px);
		}
		// 5 day week
		table {
			tr {
				width: 100%;
				padding:0;
			}
			tbody {
				th,
				td {
					width: calc((100% / 5) - 25px);
					transition: all 100ms ease-in-out;
					&:nth-child(7), &:nth-child(8) { display: none !important;  }
				}
			}
		}
	}
}

@media only screen and (max-width:720px) {

	#calendarWeekView {
		.toolbar {
			.calendarYearLabel {
				display: none;
			}
		}
		// 3 day week
		table {
			tr {
				width: 100%;
				padding:0;
			}
			tbody {
				th,
				td {
					width: calc((100% / 3) - 33px);
					transition: all 100ms ease-in-out;
					&:nth-child(5), &:nth-child(6), &:nth-child(7), &:nth-child(8) { display: none !important;  }
				}
			}
		}
	}
}


@media only screen and (max-width:600px) {

	#calendarHeaderbar {
		.button-group.float-center {
			margin-top: 0;
		}
		.button-group.float-right {
			margin-top: -46px;
		}
	}
	.content {
		display: block;
	}
}

/* Add media queries for smaller screens */
@media screen and (max-width:720px) {
  .weekdays li, .days li {width: 13.1%;}
}

@media screen and (max-width: 420px) {
  .weekdays li, .days li {width: 12.5%;}
  .days li .active {padding: 2px;}
}

@media screen and (max-width: 290px) {
  .weekdays li, .days li {width: 12.2%;}
}